@import "../../../assets/styles/variables";
@import "../../../assets/styles/mixins";

footer {
	& .footer {
		//height  : 392px;
		padding-top:  4rem;
		
		& .footer-accessing {
			& .about-tw {
				//border-left : 1px solid $tw-dark3;

				& div:first-child {
					font-size : 18px;
				}
			}
			
			& .fast-access {
				& div:first-child {
					font-size : 18px;
				}
			}
		}
		
		ul {
			font-size : 14px;
			
			& li {
				& a {
					color : rgba(255, 255, 255, 0.6) !important;
					@include transition-hover();
					
					&:before {
						content          : '';
						width            : 8px;
						height           : 8px;
						background-color : rgba(208, 32, 38, 0.5);
						border-radius    : 100%;
						margin-left      : 8px;
						@include transition-hover();
					}
					
					&:hover {
						color       : white !important;
						font-weight : $font-weight-bold;
						
						&:before {
							background-color : $tw-red;
						}
					}
				}
			}
		}
		
		& .join-us {
			& span.title {
				font-size : 18px;
			}

			& span.title-mobile{
				font-size: 14px;
			}
			
			& .social-icons {
				& > a.badge {
					width         : 49px;
					height        : 49px;
					border        : 2px solid #979797;
					border-radius : 100%;
					@include transition-hover();
					
					& > span.badge {
						width         : 37px;
						height        : 37px;
						border-radius : 100%;
						@include transition-hover();
					}
					
					&:hover {
						transform : scale(1.2);
						
						&.telegram-color {
							border : 2px solid $telegram-color;
							
							& > span.badge {
								background : $telegram-color;
							}
						}
						
						&.linkedin-color {
							border : 2px solid $linkedin-color;
							
							& > span.badge {
								background : $linkedin-color;
							}
						}
						
						&.instagram-color {
							border : 2px solid #bc318f;
							
							& > span.badge {
								background : linear-gradient(#6559ca, #bc318f 30%, #e33f5f 50%, #f77638 70%, #fec66d 100%);
							}
						}
						
						&.twitter-color {
							border : 2px solid $twitter-color;
							
							& > span.badge {
								background : $twitter-color;
							}
						}
						
						&.facebook-color {
							border : 2px solid $facebook-color;
							
							& > span.badge {
								background : $facebook-color;
							}
						}
						
					}
				}
			}
			
			
			& .your-pocket {
				height : 67px;
				
				& .application {
					font-size : 18px;
				}
				
				& .archive {
					font-size : 14px;
				}
			}
			
			& .download {
				& a {
					width         : 170px;
					height        : 50px;
					background    : $tw-dark3;
					border-radius : 8px;
					border        : 1px solid #979797;
					@include transition-hover();
					
					& img {
						border-radius : 8px;
					}
					
					&:hover {
						transform : scale(1.05);
						border    : 1px solid $tw-red;
					}
				}
			}
		}
	}
	
	& .copy-right {
		height    : 56px;
		font-size : 14px;
	}
}

.app{
	width: 170px;
	border: 1px solid white;
	border-radius: 5px;
}
